## org.eclipse.datatools.sqltools.sqleditor.internal.utils
Class SQLWordFinder

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.utils.SQLWordFinder

    public class SQLWordFinder

extends java.lang.Object

Author:
  Hui Cao

Constructor Summary
`SQLWordFinder()`

Method Summary
`static org.eclipse.jface.text.IRegion` `findWord(org.eclipse.jface.text.IDocument document, int offset)` Find a SQL word (including variable) at the offset in the document
`static int` `getWordEndOffset(java.lang.String text, int startIndex)`
`static int` `getWordStartOffset(java.lang.String text, int startIndex)`
`static boolean` `isWhiteSpace(char c)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLWordFinder

    public SQLWordFinder()

Method Detail

### findWord

    public static org.eclipse.jface.text.IRegion findWord(org.eclipse.jface.text.IDocument document,
                                                          int offset)

  Find a SQL word (including variable) at the offset in the document

  Parameters:
    `document` -
    `offset` -
  Returns:

### getWordStartOffset

    public static int getWordStartOffset(java.lang.String text,
                                         int startIndex)

### getWordEndOffset

    public static int getWordEndOffset(java.lang.String text,
                                       int startIndex)

### isWhiteSpace

    public static boolean isWhiteSpace(char c)